Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface ServerStartMBean

public interface ServerStartMBean
extends ConfigurationMBean

This bean is used to configure the attributes necessary to start up a server on a remote machine.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getArguments()` The startup arguments to use when starting this server.
`java.lang.String` | `getBeaHome()` Returns the BEA home to be used to start this server.
`java.lang.String` | `getClassPath()` The classpath to use when starting this server.
`java.lang.String` | `getJavaHome()` The Java home directory (on the Node Manager machine) to use when starting this server.
`java.lang.String` | `getPassword()` The password of the username used to boot the server and perform server health monitoring.
`java.lang.String` | `getRootDirectory()` Returns the RootDirectory to be used to start this server.
`java.lang.String` | `getSecurityPolicyFile()` The security policy file to use when starting this server.
`java.lang.String` | `getUsername()` The username to use when booting the server and performing server health monitoring.
`void` | `setArguments(java.lang.String classpath)` Set the arguments that are to used to start up this server.
`void` | `setBeaHome(java.lang.String path)` The BEA home directory to use when starting this server.
`void` | `setClassPath(java.lang.String classpath)` Set the classpath to be used to start this server.
`void` | `setJavaHome(java.lang.String path)` Set the Java home to be used to start this server.
`void` | `setOutputFile(java.lang.String fileName)` Sets the file containing the data generated as a result of the start operation.
`void` | `setPassword(java.lang.String password)`
`void` | `setRootDirectory(java.lang.String path)` The root directory to use when starting this server.
`void` | `setSecurityPolicyFile(java.lang.String filePath)` Set the security policy file to be used to start this server.
`void` | `setUsername(java.lang.String username)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJavaHome

    public java.lang.String getJavaHome()

  The Java home directory (on the Node Manager machine) to use when starting this server. The java binary (or java.exe executable in Windows) is taken from the Java home /bin directory to start the managed server.

### setJavaHome

    public void setJavaHome(java.lang.String path)
                     throws javax.management.InvalidAttributeValueException

  Set the Java home to be used to start this server. Note that this path is on the Node MAnager machine. java (or java.exe in windows) should be present at this JavaHome/bin directory.

### getClassPath

    public java.lang.String getClassPath()

  The classpath to use when starting this server. Note that all paths refer to paths on the Node Manager machine.

### setClassPath

    public void setClassPath(java.lang.String classpath)
                      throws javax.management.InvalidAttributeValueException

  Set the classpath to be used to start this server. Note that this path is on the Node Manager machine.

### getBeaHome

    public java.lang.String getBeaHome()

  Returns the BEA home to be used to start this server. Note that this path is on the Node Manager machine.

### setBeaHome

    public void setBeaHome(java.lang.String path)
                    throws javax.management.InvalidAttributeValueException

  The BEA home directory to use when starting this server. Note that this describes the path on the Node Manager machine.

### getRootDirectory

    public java.lang.String getRootDirectory()

  Returns the RootDirectory to be used to start this server. Note that this path is on the Node Manager machine.

### setRootDirectory

    public void setRootDirectory(java.lang.String path)
                          throws javax.management.InvalidAttributeValueException

  The root directory to use when starting this server. The root directory describes the path to the managed server's domain directory on the Node Manager machine.

### getSecurityPolicyFile

    public java.lang.String getSecurityPolicyFile()

  The security policy file to use when starting this server. Note that the directory and filename refer to a path on the Node Manager machine.

### setSecurityPolicyFile

    public void setSecurityPolicyFile(java.lang.String filePath)
                               throws javax.management.InvalidAttributeValueException

  Set the security policy file to be used to start this server. Note that this file is on the Node Manager machine. Both an absolute file path and a path relative to the server root directory should work.

### getArguments

    public java.lang.String getArguments()

  The startup arguments to use when starting this server.

### setArguments

    public void setArguments(java.lang.String classpath)
                      throws javax.management.InvalidAttributeValueException

  Set the arguments that are to used to start up this server. Note that the arguments are those used in addition to the classpath and the security policy option mentioned above. Examples include "-msXXm -mxYYm".

### setOutputFile

    public void setOutputFile(java.lang.String fileName)

  Sets the file containing the data generated as a result of the start operation.

### getUsername

    public java.lang.String getUsername()

  The username to use when booting the server and performing server health monitoring.

  Default Value: ""

### setUsername

    public void setUsername(java.lang.String username)
                     throws javax.management.InvalidAttributeValueException

### getPassword

    public java.lang.String getPassword()

  The password of the username used to boot the server and perform server health monitoring.

  Default Value: ""

### setPassword

    public void setPassword(java.lang.String password)
                     throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference